The countdown begins. In 10 weeks, version 5 of the PHP server side scripting language will no longer receive any security updates.

PHP is the web technology that powers all WordPress, Joomla, Drupal, Magento and many more websites.

Back in spring 2017, PHP 5.6 became the most widely used PHP version and now, around 62 percent of all Internet sites still run a PHP 5.x version.

Starting next year, they will all stop receiving security updates for their website’s underlying technology, exposing hundreds of millions of websites, if not more, to serious security risks.

On December 31, 2018, security support for PHP 5.6.x will officially cease, ending all support for any version of the ancient PHP 5.x branch. Thereafter, if and when a hacker finds a vulnerability in PHP 5.x, lots of sites and users will be at risk.

62% of All Internet Sites Will Have Serious Security Risks in 10 Weeks | Appeal Digital

The PHP community has known of this deadline for quite a while. After the surge in popularity in 2017, PHP maintainers realised it would be a disaster if they stopped security updates – so they extended the EOL date to the end of 2018.

Although some attempt has been made to warn companies about this potential significant risk to their data security, there has not been a concerted effort to get people to move to the newer PHP 7.x.

If your business has a website that would prefer not to have to deal with the legal implications of losing incredible amounts of personal data or losing control of your website, we advise that you seek technical support immediately.

To read the full article click here

This article was written by Catalin Cimpanu for Zero Day and was summarized for sharing purposes.